BCPBEKey (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.symmetric.util

## Class BCPBEKey

- java.lang.Object
- - org.bouncycastle.jcajce.provider.symmetric.util.BCPBEKey

- All Implemented Interfaces:
    java.io.Serializable, java.security.Key, javax.crypto.interfaces.PBEKey, javax.crypto.SecretKey

      public class BCPBEKey
      extends java.lang.Object
      implements javax.crypto.interfaces.PBEKey

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface javax.crypto.interfaces.PBEKey

      `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BCPBEKey(java.lang.String algorithm, ASN1ObjectIdentifier oid, int type, int digest, int keySize, int ivSize, javax.crypto.spec.PBEKeySpec pbeKeySpec, CipherParameters param)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithm()`
    `byte[]` | `getEncoded()`
    `java.lang.String` | `getFormat()`
    `int` | `getIterationCount()`
    `int` | `getIvSize()`
    `ASN1ObjectIdentifier` | `getOID()`
    `CipherParameters` | `getParam()`
    `char[]` | `getPassword()`
    `byte[]` | `getSalt()`
    `void` | `setTryWrongPKCS12Zero(boolean tryWrong)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BCPBEKey

          public BCPBEKey(java.lang.String algorithm,
                  ASN1ObjectIdentifier oid,
                  int type,
                  int digest,
                  int keySize,
                  int ivSize,
                  javax.crypto.spec.PBEKeySpec pbeKeySpec,
                  CipherParameters param)

      Parameters:
        `param` -

  - ### Method Detail

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Specified by:
        `getAlgorithm` in interface `java.security.Key`

    - #### getFormat

          public java.lang.String getFormat()

      Specified by:
        `getFormat` in interface `java.security.Key`

    - #### getEncoded

          public byte[] getEncoded()

      Specified by:
        `getEncoded` in interface `java.security.Key`

    - #### getIvSize

          public int getIvSize()

    - #### getParam

          public CipherParameters getParam()

    - #### getPassword

          public char[] getPassword()

      Specified by:
        `getPassword` in interface `javax.crypto.interfaces.PBEKey`

    - #### getSalt

          public byte[] getSalt()

      Specified by:
        `getSalt` in interface `javax.crypto.interfaces.PBEKey`

    - #### getIterationCount

          public int getIterationCount()

      Specified by:
        `getIterationCount` in interface `javax.crypto.interfaces.PBEKey`

    - #### getOID

          public ASN1ObjectIdentifier getOID()

    - #### setTryWrongPKCS12Zero

          public void setTryWrongPKCS12Zero(boolean tryWrong)